> ## Documentation Index
> Fetch the complete documentation index at: https://docs.energy.nayax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Sync rate to the station

> This endpoint sends a request to the station to sync rate



## OpenAPI

````yaml /api/specs/ocpp-v2-api.json post /ocpp/v2/assets/{assetId}/rate-display/sync-rate
openapi: 3.0.0
info:
  title: Lynkwell API
  version: 1.376.0
  description: API Documentation for ocpp-v2 service
servers:
  - url: https://api.lynkwell.com
security: []
tags: []
paths:
  /ocpp/v2/assets/{assetId}/rate-display/sync-rate:
    post:
      tags:
        - OCPP
      summary: Sync rate to the station
      description: This endpoint sends a request to the station to sync rate
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SyncRateDisplayResponse'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OcppRawRequestHttpError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OcppRawRequestHttpError'
      security:
        - oauth2:
            - write:ocpp
components:
  schemas:
    SyncRateDisplayResponse:
      type: object
      required:
        - status
        - timestamp
      properties:
        status:
          description: The status of the response
          type: string
          enum:
            - Accepted
            - Rejected
            - RebootRequired
            - NotSupported
            - StationUnavailable
            - Timeout
            - Error
        timestamp:
          description: The ISO timestamp of the response
          type: string
          format: date-time
        data:
          description: The data of the response
          type: object
          required:
            - ocppMessageId
            - rateId
          properties:
            ocppMessageId:
              description: The id of the OCPP message
              type: string
            rateId:
              description: The id of the rate that synced to the station.
              type: string
            connection:
              description: The connection of the response
              type: object
              required:
                - connectionId
                - protocol
              properties:
                connectionId:
                  description: The id of the connection
                  type: string
                protocol:
                  description: The protocol of the connection
                  type: string
                  enum:
                    - ocpp2.0.1
                    - ocpp1.6
    OcppRawRequestHttpError:
      type: object
      properties:
        type:
          description: The type of the response
          type: string
        code:
          description: The code of the response
          type: string
        message:
          description: The message of the response
          type: string
  securitySchemes:
    oauth2:
      type: oauth2
      description: OAuth2 Client Credentials Flow
      flows:
        clientCredentials:
          tokenUrl: https://lynkwell-prod.us.auth0.com/oauth/token
          scopes:
            read:asset: Retrieve assets
            write:asset: Create and update assets
            read:assetgroup: Retrieve asset groups
            write:assetgroup: Create and update asset groups
            read:assetstatus: Retrieve asset statuses
            read:chargingstationmodel: Retrieve charging station models
            write:chargingstationmodel: Create and update charging station models
            write:network: Create and update networks
            write:sitepartner: Create and update site partners
            read:sitepartner: Retrieve site partners
            write:sitepartneruser: Create and update site partner users
            read:sitepartneruser: Retrieve site partner users
            read:networkaccessprofile: Retrieve network access profiles
            write:paymentprofile: Create payment profile
            write:onboardinglink: Create an onboarding link
            read:invoice: Retrieve an invoice
            write:session: Create or update a session
            read:session: Retrieve a session
            write:ticket: Create a ticket
            write:verificationcode: Send and confirm verification codes
            write:driver: Create and update drivers
            read:driver: Retrieve drivers
            write:token: Create and update tokens
            read:token: Retrieve tokens
            read:tokenvalue: Retrieve token by ID including its value
            write:invitecode: Create and update invite codes
            write:invitation: Create and update invitations
            read:invitation: Retrieve invitations
            read:payment_terminals_payment: Read payments from payment terminal
            abort:session: Abruptly end session
            read:paymentprofile: Retrieve payment profile from payment terminal
            write:ocpp: Sends request over OCPP
            write:ocpp.raw_request: Sends raw request over OCPP
            write:notification.email: Create and update email
            read:invoiceitem: Retrieve invoice item
            read:subscription: Retrieve subscription
            write:plugandcharge_enrollment: Update Plug and Charge enrollment status
            write:projects: Create and update projects
            read:projects: Retrieve projects
            write:project_stations: Create and update project stations
            write:panel: Create and update panels.
            read:panel: Retrieve panels.
            write:webhooks: Create, update, and delete webhooks
            read:webhooks: Retrieve webhooks

````